Name: libsidplay
Summary: Commodore 64 music player and SID chip emulator library
Version: 1.36.57
Release: 12%{?dist}
Source: http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages/%{name}-%{version}.tgz
Patch: libsidplay-post57fixes.patch
Group: System Environment/Libraries
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package devel
Summary: Header files for compiling apps that use libsidplay
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files for compiling applications
that use libsidplay.

%prep
%setup -q
%patch -p1 -b .post57fixes

%build
CXXFLAGS="$RPM_OPT_FLAGS" %configure \
%ifarch %{ix86}
  --enable-optfixpoint --enable-optendian \
%endif
  --disable-static
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING DEVELOPER
%doc src/fastforward.txt src/format.txt src/mixing.txt src/mpu.txt src/panning.txt
%{_libdir}/libsidplay.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_libdir}/libsidplay.so
#%{_libdir}/libsidplay.a
%{_includedir}/sidplay

%changelog
* Thu Jan 04 2007 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Aug 28 2006 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Feb 16 2006 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-10
- rebuilt for FC5

* Sat Sep 17 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-9
- don't build/include static library

* Thu May 12 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-8
- rebuilt

* Sun Mar  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-7
- Remove "Icon:". This was the only package in Fedora Extras, which
  used such an icon, and it breaks --specfile queries.

* Thu Dec 16 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-6
- Use %%configure macro, so %%_libdir and friends get set for x86_64.

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.36.57-5
- Fix build for FC3/GCC 3.4 with patch from newer upstream release
  (I'm still upstream for this, afaik).
- Bump release.

* Fri Apr 25 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.4
- strict dependency in -devel package
- simpler arch detection

* Fri Apr 25 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.3
- clean buildroot in install
- -devel requires the actual package as well
- use version-release for BuildRoot

* Fri Apr 25 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.2
- ldconfig in %post,%postun

* Sat Apr 05 2003 Panu Matilainen <pmatilai@welho.com> 1.36.57-0.fdr.1
- Initial Fedora packaging
